<?php



$tdatavinhanaoconfir = array();
$tdatavinhanaoconfir[".searchableFields"] = array();
$tdatavinhanaoconfir[".ShortName"] = "vinhanaoconfir";
$tdatavinhanaoconfir[".OwnerID"] = "";
$tdatavinhanaoconfir[".OriginalTable"] = "VinhaNaoConfir";


$tdatavinhanaoconfir[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatavinhanaoconfir[".originalPagesByType"] = $tdatavinhanaoconfir[".pagesByType"];
$tdatavinhanaoconfir[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatavinhanaoconfir[".originalPages"] = $tdatavinhanaoconfir[".pages"];
$tdatavinhanaoconfir[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatavinhanaoconfir[".originalDefaultPages"] = $tdatavinhanaoconfir[".defaultPages"];

//	field labels
$fieldLabelsvinhanaoconfir = array();
$fieldToolTipsvinhanaoconfir = array();
$pageTitlesvinhanaoconfir = array();
$placeHoldersvinhanaoconfir = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"] = array();
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"] = array();
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"] = array();
	$pageTitlesvinhanaoconfir["Portuguese(Standard)"] = array();
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["CodVenda"] = "Cod Venda";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["CodVenda"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["CodVenda"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["CodUser"] = "Cod User";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["CodUser"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["CodUser"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["CodPlanta"] = "Cod Planta";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["CodPlanta"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["CodPlanta"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["CodCliente"] = "Cod Cliente";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["CodCliente"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["CodCliente"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Quantidade"] = "Quantidade";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Quantidade"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Quantidade"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Confirmado"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Pago20_"] = "Pago20%";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Pago20_"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Pago20_"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Encomendado"] = "Encomendado";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Encomendado"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Encomendado"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["PagoTotal"] = "Pago Total";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["PagoTotal"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["PagoTotal"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Fornecido"] = "Fornecido";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Fornecido"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Fornecido"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["NEntrega"] = "NEntrega";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["NEntrega"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["NEntrega"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["PE"] = "PE";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["PE"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["PE"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Clone"] = "Clone";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Clone"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Clone"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["NE"] = "NE";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["NE"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["NE"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Saldo"] = "Saldo";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Saldo"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Saldo"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["CodMarza"] = "Cod Marza";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["CodMarza"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["CodMarza"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["Saldo1"] = "Saldo1";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["Saldo1"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["Saldo1"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["RazoesNC"] = "Razoes NC";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["RazoesNC"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["RazoesNC"] = "";
	$fieldLabelsvinhanaoconfir["Portuguese(Standard)"]["OBS"] = "OBS";
	$fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]["OBS"] = "";
	$placeHoldersvinhanaoconfir["Portuguese(Standard)"]["OBS"] = "";
	if (count($fieldToolTipsvinhanaoconfir["Portuguese(Standard)"]))
		$tdatavinhanaoconfir[".isUseToolTips"] = true;
}


	$tdatavinhanaoconfir[".NCSearch"] = true;



$tdatavinhanaoconfir[".shortTableName"] = "vinhanaoconfir";
$tdatavinhanaoconfir[".nSecOptions"] = 0;

$tdatavinhanaoconfir[".mainTableOwnerID"] = "";
$tdatavinhanaoconfir[".entityType"] = 0;

$tdatavinhanaoconfir[".strOriginalTableName"] = "VinhaNaoConfir";

	



$tdatavinhanaoconfir[".showAddInPopup"] = false;

$tdatavinhanaoconfir[".showEditInPopup"] = false;

$tdatavinhanaoconfir[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatavinhanaoconfir[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatavinhanaoconfir[".listAjax"] = false;
//	temporary
$tdatavinhanaoconfir[".listAjax"] = false;

	$tdatavinhanaoconfir[".audit"] = false;

	$tdatavinhanaoconfir[".locking"] = false;


$pages = $tdatavinhanaoconfir[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatavinhanaoconfir[".edit"] = true;
	$tdatavinhanaoconfir[".afterEditAction"] = 1;
	$tdatavinhanaoconfir[".closePopupAfterEdit"] = 1;
	$tdatavinhanaoconfir[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatavinhanaoconfir[".add"] = true;
$tdatavinhanaoconfir[".afterAddAction"] = 1;
$tdatavinhanaoconfir[".closePopupAfterAdd"] = 1;
$tdatavinhanaoconfir[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatavinhanaoconfir[".list"] = true;
}



$tdatavinhanaoconfir[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatavinhanaoconfir[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatavinhanaoconfir[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatavinhanaoconfir[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatavinhanaoconfir[".printFriendly"] = true;
}



$tdatavinhanaoconfir[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatavinhanaoconfir[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatavinhanaoconfir[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatavinhanaoconfir[".isUseAjaxSuggest"] = true;

$tdatavinhanaoconfir[".rowHighlite"] = true;



			

$tdatavinhanaoconfir[".ajaxCodeSnippetAdded"] = false;

$tdatavinhanaoconfir[".buttonsAdded"] = false;

$tdatavinhanaoconfir[".addPageEvents"] = false;

// use timepicker for search panel
$tdatavinhanaoconfir[".isUseTimeForSearch"] = false;


$tdatavinhanaoconfir[".badgeColor"] = "8FBC8B";


$tdatavinhanaoconfir[".allSearchFields"] = array();
$tdatavinhanaoconfir[".filterFields"] = array();
$tdatavinhanaoconfir[".requiredSearchFields"] = array();

$tdatavinhanaoconfir[".googleLikeFields"] = array();
$tdatavinhanaoconfir[".googleLikeFields"][] = "CodVenda";
$tdatavinhanaoconfir[".googleLikeFields"][] = "CodUser";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Data";
$tdatavinhanaoconfir[".googleLikeFields"][] = "CodPlanta";
$tdatavinhanaoconfir[".googleLikeFields"][] = "CodCliente";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Quantidade";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Confirmado";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Pago20%";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Encomendado";
$tdatavinhanaoconfir[".googleLikeFields"][] = "PagoTotal";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Fornecido";
$tdatavinhanaoconfir[".googleLikeFields"][] = "NEntrega";
$tdatavinhanaoconfir[".googleLikeFields"][] = "PE";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Clone";
$tdatavinhanaoconfir[".googleLikeFields"][] = "NE";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Saldo";
$tdatavinhanaoconfir[".googleLikeFields"][] = "CodMarza";
$tdatavinhanaoconfir[".googleLikeFields"][] = "Saldo1";
$tdatavinhanaoconfir[".googleLikeFields"][] = "RazoesNC";
$tdatavinhanaoconfir[".googleLikeFields"][] = "OBS";



$tdatavinhanaoconfir[".tableType"] = "list";

$tdatavinhanaoconfir[".printerPageOrientation"] = 0;
$tdatavinhanaoconfir[".nPrinterPageScale"] = 100;

$tdatavinhanaoconfir[".nPrinterSplitRecords"] = 40;

$tdatavinhanaoconfir[".geocodingEnabled"] = false;










$tdatavinhanaoconfir[".pageSize"] = 999;

$tdatavinhanaoconfir[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatavinhanaoconfir[".strOrderBy"] = $tstrOrderBy;

$tdatavinhanaoconfir[".orderindexes"] = array();

$tdatavinhanaoconfir[".sqlHead"] = "SELECT CodVenda,  	CodUser,  	`Data`,  	CodPlanta,  	CodCliente,  	Quantidade,  	Confirmado,  	`Pago20%`,  	Encomendado,  	PagoTotal,  	Fornecido,  	NEntrega,  	PE,  	Clone,  	NE,  	Saldo,  	CodMarza,  	Saldo1,  	RazoesNC,  	OBS";
$tdatavinhanaoconfir[".sqlFrom"] = "FROM VinhaNaoConfir";
$tdatavinhanaoconfir[".sqlWhereExpr"] = "";
$tdatavinhanaoconfir[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatavinhanaoconfir[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatavinhanaoconfir[".arrGroupsPerPage"] = $arrGPP;

$tdatavinhanaoconfir[".highlightSearchResults"] = true;

$tableKeysvinhanaoconfir = array();
$tableKeysvinhanaoconfir[] = "CodVenda";
$tdatavinhanaoconfir[".Keys"] = $tableKeysvinhanaoconfir;


$tdatavinhanaoconfir[".hideMobileList"] = array();




//	CodVenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodVenda";
	$fdata["GoodName"] = "CodVenda";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","CodVenda");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodVenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodVenda";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["CodVenda"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "CodVenda";
//	CodUser
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CodUser";
	$fdata["GoodName"] = "CodUser";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","CodUser");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodUser";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodUser";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["CodUser"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "CodUser";
//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Data");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Data"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Data";
//	CodPlanta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CodPlanta";
	$fdata["GoodName"] = "CodPlanta";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","CodPlanta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodPlanta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodPlanta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["CodPlanta"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "CodPlanta";
//	CodCliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "CodCliente";
	$fdata["GoodName"] = "CodCliente";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","CodCliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodCliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodCliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["CodCliente"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "CodCliente";
//	Quantidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Quantidade";
	$fdata["GoodName"] = "Quantidade";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Quantidade");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Quantidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Quantidade"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Quantidade";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Confirmado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Confirmado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Confirmado"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Confirmado";
//	Pago20%
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Pago20%";
	$fdata["GoodName"] = "Pago20_";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Pago20_");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Pago20%";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Pago20%`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Pago20%"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Pago20%";
//	Encomendado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Encomendado";
	$fdata["GoodName"] = "Encomendado";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Encomendado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Encomendado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Encomendado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Encomendado"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Encomendado";
//	PagoTotal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "PagoTotal";
	$fdata["GoodName"] = "PagoTotal";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","PagoTotal");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "PagoTotal";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PagoTotal";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["PagoTotal"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "PagoTotal";
//	Fornecido
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "Fornecido";
	$fdata["GoodName"] = "Fornecido";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Fornecido");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Fornecido";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Fornecido";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Fornecido"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Fornecido";
//	NEntrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "NEntrega";
	$fdata["GoodName"] = "NEntrega";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","NEntrega");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NEntrega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "NEntrega";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["NEntrega"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "NEntrega";
//	PE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "PE";
	$fdata["GoodName"] = "PE";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","PE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "PE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["PE"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "PE";
//	Clone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Clone";
	$fdata["GoodName"] = "Clone";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Clone");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Clone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Clone"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Clone";
//	NE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "NE";
	$fdata["GoodName"] = "NE";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","NE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "NE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "NE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["NE"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "NE";
//	Saldo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Saldo";
	$fdata["GoodName"] = "Saldo";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Saldo");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Saldo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Saldo"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Saldo";
//	CodMarza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "CodMarza";
	$fdata["GoodName"] = "CodMarza";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","CodMarza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "CodMarza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodMarza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["CodMarza"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "CodMarza";
//	Saldo1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "Saldo1";
	$fdata["GoodName"] = "Saldo1";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","Saldo1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Saldo1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["Saldo1"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "Saldo1";
//	RazoesNC
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "RazoesNC";
	$fdata["GoodName"] = "RazoesNC";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","RazoesNC");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "RazoesNC";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "RazoesNC";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["RazoesNC"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "RazoesNC";
//	OBS
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "OBS";
	$fdata["GoodName"] = "OBS";
	$fdata["ownerTable"] = "VinhaNaoConfir";
	$fdata["Label"] = GetFieldLabel("VinhaNaoConfir","OBS");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "OBS";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "OBS";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavinhanaoconfir["OBS"] = $fdata;
		$tdatavinhanaoconfir[".searchableFields"][] = "OBS";


$tables_data["VinhaNaoConfir"]=&$tdatavinhanaoconfir;
$field_labels["VinhaNaoConfir"] = &$fieldLabelsvinhanaoconfir;
$fieldToolTips["VinhaNaoConfir"] = &$fieldToolTipsvinhanaoconfir;
$placeHolders["VinhaNaoConfir"] = &$placeHoldersvinhanaoconfir;
$page_titles["VinhaNaoConfir"] = &$pageTitlesvinhanaoconfir;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["VinhaNaoConfir"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["VinhaNaoConfir"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_vinhanaoconfir()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CodVenda,  	CodUser,  	`Data`,  	CodPlanta,  	CodCliente,  	Quantidade,  	Confirmado,  	`Pago20%`,  	Encomendado,  	PagoTotal,  	Fornecido,  	NEntrega,  	PE,  	Clone,  	NE,  	Saldo,  	CodMarza,  	Saldo1,  	RazoesNC,  	OBS";
$proto0["m_strFrom"] = "FROM VinhaNaoConfir";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CodVenda",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto6["m_sql"] = "CodVenda";
$proto6["m_srcTableName"] = "VinhaNaoConfir";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CodUser",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto8["m_sql"] = "CodUser";
$proto8["m_srcTableName"] = "VinhaNaoConfir";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto10["m_sql"] = "`Data`";
$proto10["m_srcTableName"] = "VinhaNaoConfir";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto12["m_sql"] = "CodPlanta";
$proto12["m_srcTableName"] = "VinhaNaoConfir";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto14["m_sql"] = "CodCliente";
$proto14["m_srcTableName"] = "VinhaNaoConfir";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto16["m_sql"] = "Quantidade";
$proto16["m_srcTableName"] = "VinhaNaoConfir";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto18["m_sql"] = "Confirmado";
$proto18["m_srcTableName"] = "VinhaNaoConfir";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "Pago20%",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto20["m_sql"] = "`Pago20%`";
$proto20["m_srcTableName"] = "VinhaNaoConfir";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "Encomendado",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto22["m_sql"] = "Encomendado";
$proto22["m_srcTableName"] = "VinhaNaoConfir";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "PagoTotal",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto24["m_sql"] = "PagoTotal";
$proto24["m_srcTableName"] = "VinhaNaoConfir";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "Fornecido",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto26["m_sql"] = "Fornecido";
$proto26["m_srcTableName"] = "VinhaNaoConfir";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "NEntrega",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto28["m_sql"] = "NEntrega";
$proto28["m_srcTableName"] = "VinhaNaoConfir";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "PE",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto30["m_sql"] = "PE";
$proto30["m_srcTableName"] = "VinhaNaoConfir";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto32["m_sql"] = "Clone";
$proto32["m_srcTableName"] = "VinhaNaoConfir";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "NE",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto34["m_sql"] = "NE";
$proto34["m_srcTableName"] = "VinhaNaoConfir";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "Saldo",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto36["m_sql"] = "Saldo";
$proto36["m_srcTableName"] = "VinhaNaoConfir";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "CodMarza",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto38["m_sql"] = "CodMarza";
$proto38["m_srcTableName"] = "VinhaNaoConfir";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "Saldo1",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto40["m_sql"] = "Saldo1";
$proto40["m_srcTableName"] = "VinhaNaoConfir";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "RazoesNC",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto42["m_sql"] = "RazoesNC";
$proto42["m_srcTableName"] = "VinhaNaoConfir";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "OBS",
	"m_strTable" => "VinhaNaoConfir",
	"m_srcTableName" => "VinhaNaoConfir"
));

$proto44["m_sql"] = "OBS";
$proto44["m_srcTableName"] = "VinhaNaoConfir";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto46=array();
$proto46["m_link"] = "SQLL_MAIN";
			$proto47=array();
$proto47["m_strName"] = "VinhaNaoConfir";
$proto47["m_srcTableName"] = "VinhaNaoConfir";
$proto47["m_columns"] = array();
$proto47["m_columns"][] = "CodVenda";
$proto47["m_columns"][] = "CodUser";
$proto47["m_columns"][] = "Data";
$proto47["m_columns"][] = "CodPlanta";
$proto47["m_columns"][] = "CodCliente";
$proto47["m_columns"][] = "Quantidade";
$proto47["m_columns"][] = "Confirmado";
$proto47["m_columns"][] = "Pago20%";
$proto47["m_columns"][] = "Encomendado";
$proto47["m_columns"][] = "PagoTotal";
$proto47["m_columns"][] = "Fornecido";
$proto47["m_columns"][] = "NEntrega";
$proto47["m_columns"][] = "PE";
$proto47["m_columns"][] = "Clone";
$proto47["m_columns"][] = "NE";
$proto47["m_columns"][] = "Saldo";
$proto47["m_columns"][] = "CodMarza";
$proto47["m_columns"][] = "Saldo1";
$proto47["m_columns"][] = "RazoesNC";
$proto47["m_columns"][] = "OBS";
$obj = new SQLTable($proto47);

$proto46["m_table"] = $obj;
$proto46["m_sql"] = "VinhaNaoConfir";
$proto46["m_alias"] = "";
$proto46["m_srcTableName"] = "VinhaNaoConfir";
$proto48=array();
$proto48["m_sql"] = "";
$proto48["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto48["m_column"]=$obj;
$proto48["m_contained"] = array();
$proto48["m_strCase"] = "";
$proto48["m_havingmode"] = false;
$proto48["m_inBrackets"] = false;
$proto48["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto48);

$proto46["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto46);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="VinhaNaoConfir";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_vinhanaoconfir = createSqlQuery_vinhanaoconfir();


	
		;

																				

$tdatavinhanaoconfir[".sqlquery"] = $queryData_vinhanaoconfir;

$tableEvents["VinhaNaoConfir"] = new eventsBase;
$tdatavinhanaoconfir[".hasEvents"] = false;

?>